# Les variables à choix

Une variable à choix est d'abord une variable avec une [fonction check](function.md).

## Les variables à choix simple

Il est possible d'imposer une liste de valeur pour une variable particulière :

```
<check name="valid_enum">
    <param>yes</param>
    <param>no</param>
    <param>maybe</param>
    <target>my_variable</target>
</check>
```

Dans ce cas, seule les valeurs proposés sont possible pour cette variable.

Par défaut, cette variable est obligatoire. Cela signifie qu'il n'est pas possible de spécifier "None" à cette variable.

## Les variables à choix avec valeur None

Il y a deux possibilités pour avoir une valeur "None" dans les choix :

- rendre la variable non obligatoire, cela va ajouter un choix "None" dans la liste :

```
<variable name="my_variable" mandatory="False">
```

Ou en ajoutant le paramètre "None" :

```
<check name="valid_enum">
    <param>yes</param>
    <param>no</param>
    <param type='nil'/>
    <param>maybe</param>
    <target>my_variable</target>
</check>
```

## La valeur par défaut

Si aucune valeur n'est spécifié pour la variable, automatiquement le premier choix va est placé comme valeur par défaut.
