"""
Config file for Rougail

Created by:
EOLE (http://eole.orion.education.fr)
Copyright (C) 2005-2018

Forked by:
Cadoles (http://www.cadoles.com)
Copyright (C) 2019-2021

distribued with GPL-2 or later license

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
"""
from os.path import join, abspath, dirname


ROUGAILROOT = '/srv/rougail'
DTDDIR = join(dirname(abspath(__file__)), 'data')


RougailConfig = {'dictionaries_dir': [join(ROUGAILROOT, 'dictionaries')],
                 'extra_dictionaries': {},
                 'patches_dir': join(ROUGAILROOT, 'patches'),
                 'templates_dir': join(ROUGAILROOT, 'templates'),
                 'destinations_dir': join(ROUGAILROOT, 'destinations'),
                 'tmp_dir': join(ROUGAILROOT, 'tmp'),
                 'dtdfilename': join(DTDDIR, 'rougail.dtd'),
                 'functions_file': join(ROUGAILROOT, 'functions.py'),
                 'variable_namespace': 'rougail',
                 'auto_freeze_variable': 'server_deployed',
                 'default_engine': 'creole',
                 'internal_functions': [],
                 'modes_level': ['basic', 'normal', 'expert'],
                 'default_family_mode': 'basic',
                 'default_variable_mode': 'normal',
                 }
